# SPDX-FileCopyrightText: Copyright (c) 2024 NVIDIA CORPORATION & AFFILIATES. All rights reserved.
# SPDX-License-Identifier: LicenseRef-NvidiaProprietary
#
# NVIDIA CORPORATION, its affiliates and licensors retain all intellectual
# property and proprietary rights in and to this material, related
# documentation and any modifications thereto. Any use, reproduction,
# disclosure or distribution of this material and related documentation
# without an express license agreement from NVIDIA CORPORATION or
# its affiliates is strictly prohibited.

specVersion: 2.5.0

version: 0.1.0

name: ia-unreal-renderer-microservice-local-development

description: Unreal Renderer Local Development

dependencies:
  - ucf.svc.audio2face:1.0.41
  - ucf.svc.ia-animation-graph-microservice:1.0.2
  - ucf.svc.ia-unreal-renderer-microservice:0.1.1
secrets:
  k8sSecret/ngc-api-key-secret/NGC_CLI_API_KEY:
    k8sSecret:
      secretName: ngc-api-key-secret
      key: NGC_CLI_API_KEY

components:
  - name: audio2face
    type: ucf.svc.audio2face
    parameters:
      imagePullSecrets:
        - name: ngc-docker-reg-secret
  - name: animation-graph
    type: ucf.svc.ia-animation-graph-microservice
    parameters:
      imagePullSecrets:
        - name: ngc-docker-reg-secret
  - name: unreal-renderer
    type: ucf.svc.ia-unreal-renderer-microservice
    parameters:
      imagePullSecrets:
        - name: ngc-docker-reg-secret
        - name: ghcr-docker-reg-secret

connections:
  audio2face/a2f-grpc-client: animation-graph/anim-server
  unreal-renderer/anim-source: animation-graph/anim-server
